/* eslint-disable no-console */

// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import CountUp from './'

storiesOf('CountUp', module)
  .add('count up', () => (
    <div className="measure center">
      <CountUp
        className="f-5"
        start={0}
        end={2007}
      />
    </div>
  ))
  .add('List', () => (
    <div className="w8 flex">
      <div className="w-50 w-25-ns">
        <div className="center h4 w4 br-100 ba b--light-gray flex flex-column items-center justify-center">
          <h2 className="f4">Years</h2>
          <CountUp
            className="f2"
            start={0}
            end={12}
          />
        </div>
      </div>
      <div className="w-50 w-25-ns">
        <div className="center h4 w4 br-100 ba b--light-gray flex flex-column items-center justify-center">
          <h2 className="f4">Customers</h2>
          <CountUp
            className="f2"
            start={0}
            end={10230}
          />
        </div>
      </div>
      <div className="w-50 w-25-ns">
        <div className="center h4 w4 br-100 ba b--light-gray flex flex-column items-center justify-center">
          <h2 className="f4">Years</h2>
          <CountUp
            className="f2"
            start={0}
            end={12}
          />
        </div>
      </div>
      <div className="w-50 w-25-ns">
        <div className="center h4 w4 br-100 ba b--light-gray flex flex-column items-center justify-center">
          <h2 className="f4">Customers</h2>
          <CountUp
            className="f2"
            start={0}
            end={10230}
          />
        </div>
      </div>
    </div>
  ))
  .add('count down', () => (
    <div className="measure center">
      <CountUp
        className="f-5"
        start={2007}
        end={0}
      />
    </div>
  ))
