'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _CustomerReviewGridItem = require('../CustomerReviewGridItem');

var _CustomerReviewGridItem2 = _interopRequireDefault(_CustomerReviewGridItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CustomerReviewGrid = function CustomerReviewGrid(_ref) {
  var data = _ref.data,
      childrenTheme = _ref.childrenTheme,
      itemClassName = _ref.itemClassName,
      className = _ref.className;
  return _react2.default.createElement(
    'div',
    { 'data-component': 'CustomerReviewGrid', className: className },
    data.map(function (item) {
      return _react2.default.createElement(
        'div',
        { key: item.name, className: itemClassName },
        _react2.default.createElement(_CustomerReviewGridItem2.default, {
          key: item.name,
          item: item,
          theme: childrenTheme
        })
      );
    })
  );
};

CustomerReviewGrid.defaultProps = {
  className: null
};

exports.default = CustomerReviewGrid;