'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyles = exports.defaultStyles = {
  image: 'is-64x64 pa2',
  title: 'f5'
};

var HorizontalSmall = function HorizontalSmall(_ref) {
  var _ref$item = _ref.item,
      image = _ref$item.image,
      title = _ref$item.title,
      reverse = _ref.reverse,
      className = _ref.className,
      theme = _ref.theme;
  return _react2.default.createElement(
    'div',
    { className: (0, _classnames2.default)('flex items-center', className, { 'flex-row-reverse': reverse }) },
    _react2.default.createElement('img', { className: (0, _classnames2.default)('image', theme.image), src: image, alt: title }),
    _react2.default.createElement(
      'div',
      { className: theme.title },
      title
    )
  );
};

HorizontalSmall.defaultProps = {
  className: null,
  reverse: false
};

exports.default = (0, _reactCssThemr.themr)('HorizontalSmall', {}, { composeTheme: 'softly' })(HorizontalSmall);