// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import SimpleMap from './'

const center = { lat: 10.7661204, lng: 106.6640309 }
const markers = [{
  key: 'TCH',
  position: center,
  defaultAnimation: 2,
}]

storiesOf('Simple Map', module)
  .add('default', () => (
    <div className="vh-100 w-100">
      <SimpleMap
        markers={markers}
        center={center}
      />
    </div>
  ))
